Bug 966880 - phpmyadmin/rockmongo webpage returns 404 on INT after migration
phpmyadmin/rockmongo webpage returns 404 on INT after migration
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Paul Morie
libra bugs
Depends On:
  Show dependency treegraph
Reported: 2013-05-24 03:49 EDT by Jianwei Hou
Modified: 2015-05-14 19:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-11 00:10:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2013-05-24 03:49:31 EDT
Description of problem:
An app with phpmyadmin cartridge is created before v2 migration this week, After migration, the phpmyadmin page returns 404.
I have confirmed in rhcsh that the phpmyadmin process of the app is running, but the page is not found. In /var/lib/openshift/51958a5e03ef64652b00010c/phpmyadmin/conf/http_nolog.conf, the OPENSHIFT_* environment vairables can not be found. So I'm afraid the migration for phpmyadmin cartridge is not complete.
The app name is 'wordpress' with uuid 51958a5e03ef64652b00010c . Phpmyadmin url https://wordpress-jhou.int.rhcloud.com/phpmyadmin/
Can you please help inspect the problem with it?

Version-Release number of selected component (if applicable):
On INT(devenv_3266)

How reproducible:

Steps to Reproduce:
1. Create an app with mysql and phpmyadmin
2. After INT is migrated, access the phpmyadmin webpage

Actual results:
Got 404, the page can not be accessed.

Expected results:
Phpmyadmin Should be available

Additional info:
Comment 1 Jianwei Hou 2013-05-24 04:35:56 EDT
So is the case with rockmongo - https://pacman-jhou.int.rhcloud.com/rockmongo/
Can you please also investigate them?
| app name | uuid                     | url
| pacman   | 51958b066cec0e0f3c0      | https://pacman-jhou.int.rhcloud.com/rockmongo/
| jbossews2| 51958f3303ef649090000075 | https://jbossews2-jhou.int.rhcloud.com/rockmongo/

Comment 2 Jhon Honce 2013-05-24 11:33:03 EDT
phpmyadmin is not a language framework so the PassEnv directives are not required.
Comment 3 Paul Morie 2013-05-26 09:40:37 EDT
I couldn't recreate this in a devenv - both phpmyadmin and rockmongo came back after migration.  Please try again after the next INT deployment.
Comment 4 Jianwei Hou 2013-05-27 03:20:11 EDT
This only happened on INT. And this bug is somewhat related to bug 965492. The reason for this problem, I guess, is because the first round of migration is executed before fix for bug 965492 is pushed to INT. Therefore, the problem is produced, making phpmyadmin and rockmongo in a broken state.

According to https://github.com/openshift/li/commit/39924b9a838ebdb98b8a9e3053dfca5e22679dc2 , the ip of rockmongo/phpmyadmin should not share the same value of the app's internal ip. In my case, the values are same:


And this explains why phpmyadmin/rockmongo returns 404.

Is it possible that this problem be fixed?
Comment 5 Paul Morie 2013-05-28 09:53:08 EDT
Unfortunately at this point I think it's best to try again with the stage release - we have a high number of bugs that need to be fixed and we know the root cause in the case of the two apps indicated in INT.  Apologies for the inconvenience.
Comment 6 Jianwei Hou 2013-05-28 20:45:34 EDT
Thanks, anyway.
We will focus on stage release and verify this bug if it can not be reproduced again on stage.
Comment 7 Jianwei Hou 2013-06-03 05:13:55 EDT
Verified on STG, the phpmyadmin and rockmongo cartridges are migrated successfully and function well.

Note You need to log in before you can comment on or make changes to this bug.